2000-10-17 17:03  mhall

	* weka/Makefile (1.28): Added remote.policy entry. Modified code
	for adding the pointer to the Tutorial.pdf file etc. to work
        properly with 1.2 javadoc's emulation of the 1.1 doc style.

2000-10-16 16:39  mhall

	* weka/converters/: ArffToArff.java (1.2), Converter.java (1.2):
        Doc fix.

2000-10-16 12:06  mhall

	* weka/filters/AttributeExpressionFilter.java (1.3): Doc fix.

2000-10-16 12:05  mhall

	* weka/experiment/InstanceQuery.java (1.8): No longer says "Read 0
        instances" :-)

2000-10-16 12:03  mhall

	* weka/gui/explorer/PreprocessPanel.java (1.19): Added converter
        support to the preprocess panel.

2000-10-16 12:01  mhall

	* weka/gui/: GenericObjectEditor.java (1.21),
	GenericObjectEditor.props (1.25): Added converters to
	GenericObjectEditor.props; added tip text to the open and save
        buttons on the GOE.

2000-10-16 11:55  mhall

	* weka/converters/: Makefile (1.1), ArffToArff.java (1.1),
        Converter.java (1.1), CsvToArff.java (1.1): Initial import.

2000-10-16 11:43  mhall

	* weka/gui/visualize/VisualizePanel.java (1.13): Added some code to
	prevent the combo boxes from growing out of control with long
        attribute names.

2000-10-16 11:40  eibe

	* weka/filters/: SplitDatasetFilter.java (stable-3-0-patches.1),
	SplitDatasetFilter.java (1.4): "-V" didn't get returned in all
        cases in getOptions.

2000-10-16 11:34  eibe

	* weka/classifiers/SMO.java (1.17): Made two changes involving
	options (basically reverting the option-handling to what it was
	like in weka-3-1-7) Change 1: data is now being normalized by
	default (and option -R has been replaced by option -N) Change 2:
	the default value for C is now 1 (instead of 1000) Both these
	changes have been made to improve speed on standard datasets (and
        for consistency with the book version).

2000-10-16 10:07  mhall

	* weka/classifiers/AdditiveRegression.java (1.2): Added option for
        turning on debugging output.

2000-10-13 10:10  mhall

	* weka/gui/GenericObjectEditor.props (1.24): AdditiveRegression
        added.

2000-10-13 10:09  mhall

	* weka/classifiers/: AdditiveRegression.java (1.1), Makefile
        (1.18): AdditiveRegression initial import.

2000-10-10 16:05  mhall

	* weka/core/Attribute.java (1.12): javadoc fix.

2000-10-03 11:49  mhall

	* weka/gui/explorer/Explorer.java (1.15): VisualizePanel now does
        message logging.

2000-10-03 11:48  mhall

	* weka/gui/visualize/: AttributePanel.java (1.5),
	VisualizePanel.java (1.12), Visualize.props (1.6): Due to a
	limitation in GridBagLayout, the AttributePanel can display a
	maximum of 512 attribute bars. VisualizePanel will not render the
	AttributePanel if a data set contains more than 512 attributes.
        There is now a property for turning the AttributePanel on or off.

2000-09-29 10:59  trigg

	* weka/core/SerializedObject.java (1.2): Made this Serializable.

2000-09-25 17:17  trigg

	* weka/core/Attribute.java (1.11): Changed compression threshold to
        be more useful in practise.

2000-09-25 10:07  trigg

	* weka/core/Matrix.java (1.8): Fixed the matrix transpose problem
        introduced with last checkin.

2000-09-21 11:56  trigg

	* weka/: filters/Makefile (1.16),
	filters/StringToWordVectorFilter.java (1.1),
	gui/GenericObjectEditor.props (1.23): Simple version of a filter to
        convert string attributes to word vector representation.

2000-09-20 16:50  trigg

	* weka/classifiers/evaluation/ThresholdCurve.java (1.7): Adds
	FMeasure to the thresholdcurve.  Added method for calculating
        n-point precision.

2000-09-20 15:34  trigg

	* weka/: classifiers/evaluation/ConfusionMatrix.java (1.2),
	core/Matrix.java (1.7): implements Cloneable
	Matrix now has add method. This and another couple of methods now
        work as they should with subclasses.

2000-09-20 14:48  trigg

	* weka/core/Instances.java (1.22): Added a method to get a certain
	attribute value for all instances.
	Rearranged a couple of methods to use this array in conjunction
	with Utils.sort, rather than having to sort a copy of the instances
	-- approx 20% speedup when getting instance summary on waveform
        data.

2000-09-20 14:41  trigg

	* weka/core/Utils.java (1.23): Sort on double arrays now treats NaN
	as MAX_VALUE (to give consistent behaviour with how missing values
        are treated when instances are sorted).

2000-09-19 13:04  trigg

	* weka/: core/Attribute.java (1.10), core/SerializedObject.java
	(1.1), experiment/OutputZipper.java (1.3),
	experiment/RemoteExperiment.java (1.4), gui/GenericArrayEditor.java
	(1.8), gui/GenericObjectEditor.java (1.20),
	gui/experiment/RunPanel.java (1.13),
	gui/explorer/ClassifierPanel.java (1.38),
	gui/explorer/ClustererPanel.java (1.25),
	gui/explorer/PreprocessPanel.java (1.18): Added a mechanism for
	serializing objects in memory.
	Replaced several versions of the same type of code to use this
	object.
	Changed Attribute to support internal compression of strings longer
	than Attribute.STRING_COMPRESS_THRESHOLD characters (currently
        200).

2000-09-19 13:01  trigg

	* weka/classifiers/Evaluation.java (1.34): Reading cost files uses
        buffered readers. Minor speedup.

2000-09-15 16:13  mhall

	* weka/gui/experiment/RunPanel.java (1.12): If user aborts a
	RemoteExperiment, start button is now enabled only once all
        currently excecuting sub-experiments complete.

2000-09-15 16:12  mhall

	* weka/experiment/RemoteExperiment.java (1.3): Individual hosts are
	now removed from the list during running if max failures occur.
	Previously, a host on which tasks were starting but then failing
	would be tried repeatedly until global max failures was exceeded
        and the experiment aborted.

2000-09-15 09:46  trigg

	* weka/core/: Instance.java (1.6), Instances.java (1.21): Really
        minor doc changes. (really :-))

2000-09-15 09:43  trigg

	* weka/: classifiers/DistributionMetaClassifier.java (1.1),
        clusterers/DistributionMetaClusterer.java (1.1): First versions.

2000-09-14 17:17  trigg

	* weka/filters/SpreadSubsampleFilter.java (1.2): Extra features.

2000-09-14 15:46  trigg

	* weka/gui/GenericObjectEditor.java (1.19): Now lets you load and
	save objects to disk. Quite handy when you have a nice
        configuration for an object that takes a while to set up manually.

2000-09-13 17:28  trigg

	* weka/filters/NumericTransformFilter.java (1.6): Added a default
        transform method, so this filter can be used from the GUI.

2000-09-13 14:32  trigg

	* weka/classifiers/FilteredClassifier.java (1.5): Refactored some
        code out into a separate method.

2000-09-13 13:48  trigg

	* weka/classifiers/FilteredClassifier.java (1.4): Memory reduction
        when using string attributes.

2000-09-12 17:02  mhall

	* weka/core/Range.java (1.4): Changed so that the maximum value
	(m_Upper) can be 0. Previously could not apply filters that use
        ranges to a single attribute data set.

2000-09-11 15:23  trigg

	* weka/gui/GenericObjectEditor.props (1.22): Sorted a couple of the
        lists... :-)

2000-09-07 14:22  mhall

	* weka/core/Utils.java (1.22): Added a method to replace all
        occurences of a substring in a given string with a new substring.

2000-09-07 12:20  mhall

	* weka/filters/AttributeExpressionFilter.java (1.2): Forgot to add
	a globalInfo method. Also set a default expression and made inner
        classes serializable.

2000-09-07 11:52  mhall

	* weka/gui/GenericObjectEditor.props (1.21): Added the
        AttributeExpressionFilter

2000-09-07 11:45  mhall

	* weka/filters/Makefile (1.15): Added AttributeExpressionFilter

2000-09-07 11:40  mhall

	* weka/filters/AttributeExpressionFilter.java (1.1): Initial
        import.

2000-09-05 15:09  mhall

	* weka/attributeSelection/RaceSearch.java (1.4): When checking for
	no difference between attribute sets significance was not being
        tested---only the threshold was. Fixed.

2000-08-31 16:23  mhall

	* weka/gui/: GenericObjectEditor.java (1.18), PropertyText.java
	(1.3): Changed PropertyText so that notifications are given for
	every key press rather than just when the user presses enter or
	focus is lost. Added a method to copy objects via serialization to
	GenericObjectEditor. This allows the cancel button to work a bit
        better than before :-)

2000-08-29 13:46  mhall

	* weka/clusterers/: EM.java (stable-3-0-patches.2), EM.java (1.10):
	Changed back from using the normal estimator. The normal estimator
	gives a probability rather than a density estimate. Now throws an
	exception if the joint density overflows precision (normally
	happens when there are many singletons or near singletons resulting
	in very small standard deviations; this was causing some exceptions
	when normalizing arrays). Added an option to set the minimum
	allowable standard deviation for normal density
	estimation---increasing this value can prevent density overflow.
        Added global info and tip text methods.

2000-08-23 15:33  mhall

	* weka/clusterers/Cobweb.java (stable-3-0-patches.3): Stats were
	not being updated properly when new nodes were considered for
        addition to the tree.

2000-08-23 11:44  mhall

	* weka/clusterers/Cobweb.java (1.8): Stats were not being updated
        properly when new nodes were considered for addition to the tree.

2000-08-17 15:22  mhall

	* weka/experiment/Makefile (1.10): Forgot to uncomment the rmic
        command.

2000-08-17 15:05  mhall

	* weka/gui/experiment/: Makefile (1.4), RunPanel.java (1.11),
	SetupPanel.java (1.13): Incorporated support for remote
        experiments.

2000-08-17 15:04  mhall

	* weka/gui/experiment/: HostListPanel.java (1.1),
        DistributeExperimentPanel.java (1.1): Initial import.

2000-08-17 15:01  mhall

	* weka/experiment/: DatabaseUtils.java (1.12), Experiment.java
	(1.12), Makefile (1.9), RemoteExperiment.java (1.2),
	RemoteExperimentEvent.java (1.2), Task.java (1.2): Small changes to
        enable RemoteExperiment to be integrated with the Experimenter.

2000-08-17 14:34  mhall

	* weka/experiment/RemoteExperimentSubTask.java (1.1): Initial
        import.

2000-08-15 16:52  trigg

	* weka/: associations/ItemSet.java (1.5),
	attributeSelection/ConsistencySubsetEval.java (1.4),
	classifiers/DecisionTable.java (1.15), classifiers/Evaluation.java
	(1.33), core/Attribute.java (1.9), core/SelectedTag.java (1.2):
	Fixed buggy equals methods, after reading
        http://www.javaworld.com/javaworld/jw-01-1999/jw-01-object_p.html

2000-08-14 11:51  trigg

	* weka/: classifiers/Classifier.java (1.5),
        clusterers/Clusterer.java (1.5): Documentation clarification.

2000-08-11 16:13  mhall

	* weka/experiment/Makefile (1.8): Added RemoteExperiment related
        classes (commented out at present).

2000-08-11 16:07  mhall

	* weka/experiment/: RemoteEngine.java (1.1), Compute.java (1.1),
	Task.java (1.1), RemoteExperimentEvent.java (1.1),
	RemoteExperimentListener.java (1.1), RemoteExperiment.java (1.1),
        remote.policy (1.1): Initial import.

2000-08-11 15:48  mhall

	* weka/experiment/Experiment.java (1.11): Options can now be passed
	to the result listener on the command line if name of result
        listener + its options are surrounded by quotes.

2000-08-11 14:17  trigg

	* weka/classifiers/evaluation/NominalPrediction.java (1.5): Added a
        serialVersionUID to counter serialization problems.

2000-08-11 10:59  trigg

	* weka/classifiers/FilteredClassifier.java (1.3): Added constructor
        that lets an initial classifier and filter be specified.

2000-08-11 10:58  trigg

	* weka/classifiers/evaluation/NominalPrediction.java (1.4): Added a
        method to create a uniform distribution.

2000-08-03 15:57  trigg

	* weka/gui/SimpleCLI.java (1.3): Added some startup text.

2000-08-03 15:51  trigg

	* weka/gui/visualize/VisualizeUtils.java (1.4): Doing the same
        properties loading extraction here too.

2000-08-03 15:48  trigg

	* weka/: core/Utils.java (1.21), experiment/DatabaseUtils.java
	(1.11), gui/GenericObjectEditor.java (1.17): Pulled out common
        properties file reading code into a single routine in Utils.

2000-08-03 15:18  mhall

	* weka/associations/: Apriori.java (1.6), ItemSet.java (1.4): Added
        new rule "goodness" measures plus a few other options.

2000-08-01 16:07  trigg

	* weka/classifiers/evaluation/: ConfusionMatrix.java (1.1),
	Makefile (1.4): First version.
	When the Great Modular Evaluation Reorg happens, (or maybe before),
	this class should be made an AdditionalMeasureProducer (although I
	think AdditionalMeasureProducer should actually just be called
        MeasureProducer).

2000-08-01 15:55  trigg

	* weka/classifiers/CostMatrix.java (1.5): Now uses addElement
        method.

2000-08-01 15:55  trigg

	* weka/core/Matrix.java (1.6): Made toString non-final (who's dumb
	idea was that anyway -- not very forward-thinking :-))
	Added addElement method to avoid having to use
        setElement/getElement pairs to add or subtract from cells.

2000-07-25 17:15  trigg

	* weka/classifiers/evaluation/ThresholdCurve.java (1.6): Removing
        one point that shouldn't be there.

2000-07-25 14:31  trigg

	* weka/classifiers/evaluation/NumericPrediction.java (1.2): Made
        Serializable.

2000-07-25 14:30  trigg

	* weka/classifiers/evaluation/NominalPrediction.java (1.3): Made
        Serializable

2000-07-25 11:44  mhall

	* weka/gui/visualize/Makefile (1.4): Changed VisualizePanelUtils to
        VisualizeUtils

2000-07-24 11:45  mhall

	* weka/associations/Apriori.java (stable-3-0-patches.1):
	Fixed precision problem. Added extra check to stop rule generation
        when min support equates to less than one instance.

2000-07-24 11:25  mhall

	* weka/associations/Apriori.java (1.5): Fixed precision problem.
	Added extra check to stop rule generation when min support equates
        to less than one instance.

2000-07-21 16:39  trigg

	* weka/gui/visualize/Makefile (1.3): Added missing source file.

2000-07-21 14:56  mhall

	* weka/clusterers/: EM.java (1.9), ClusterEvaluation.java (1.13),
	DistributionClusterer.java (1.5): EM's distributionForInstance now
	returns an array that sums to 1.  ClusterEvaluation now reports the
        number of instances (if any) that were unclustered.

2000-07-20 14:44  mhall

	* weka/classifiers/CostSensitiveClassifier.java (1.4): Now loads
        old format as well as new format cost files.

2000-07-19 17:35  trigg

	* weka/experiment/PairedTTester.java (1.12): Fixed some buggy
        comparisons and rearranged code a bit.

2000-07-19 17:34  trigg

	* weka/experiment/Stats.java (1.5): Fixed some NaN problems with
        Std Devs.

2000-07-19 17:32  trigg

	* weka/experiment/: LearningRateResultProducer.java (1.1), Makefile
        (1.7): Added ResultProducer for generating learning rate graphs.

2000-07-19 17:30  trigg

	* weka/experiment/Experiment.java (1.10): Added static for
        experiment file extensions.

2000-07-19 17:28  trigg

	* weka/gui/experiment/RunPanel.java (1.10): Slightly clearer status
        lines during experiment iterations.

2000-07-19 17:28  trigg

	* weka/gui/experiment/SetupPanel.java (1.12): Checks file extension
        when loading experiment files.

2000-07-19 17:26  trigg

	* weka/: classifiers/MultiClassClassifier.java (1.9),
	classifiers/RegressionByDiscretization.java (1.7),
	core/Instances.java (1.20): Factored out some shared code for
        resampling with weights defined by the instance weights.

2000-07-19 17:23  trigg

	* weka/classifiers/Bagging.java (1.10): Fixed bug (spotted by
        stuart@intelligenesis.net) in determining subsample size.

2000-07-18 13:13  mhall

	* weka/clusterers/EM.java (stable-3-0-patches.1): Now uses a
        NormalEstimator instead of custom code for normal distributions.

2000-07-17 15:28  mhall

	* weka/Makefile (1.27): Added properties file for visualize
        package.

2000-07-13 15:39  mhall

	* weka/gui/visualize/: ClassPanel.java (1.6), Plot2D.java (1.12),
	VisualizePanel.java (1.11), Visualize.props (1.5),
        VisualizeUtils.java (1.3): Added a max numeric precision property.

2000-07-13 14:53  mhall

	* weka/clusterers/EM.java (1.8): Now uses a NormalEstimator instead
        of custom code for normal distributions.

2000-07-13 14:52  mhall

	* weka/gui/explorer/ClustererPanel.java (1.24): Moved the call to
        taskStarted to before where any exceptions are thrown.

2000-07-13 14:50  mhall

	* weka/gui/WekaTaskMonitor.java (1.4): Added a check to prevent the
        number of active tasks from being less than zero.

2000-07-12 17:14  mhall

	* weka/gui/visualize/VisualizeUtils.java (1.2): Fixed spelling
        mistake in error message.

2000-07-10 16:30  mhall

	* weka/gui/GUIChooser.java (1.4): Sets bird icon for the
        GUIChooser.

2000-07-05 11:46  mhall

	* weka/experiment/PairedTTester.java (1.11): Added latex output for
        the summary and ranking tables.

2000-06-26 16:50  trigg

	* weka/core/SparseInstance.java (1.2): Updated class comments a
	bit, to clarify what a sparse instance is, and what it means for
        nominal attributes.

2000-06-26 11:12  mhall

	* weka/classifiers/VFI.java (1.2): Is now a
        WeightedInstanceHandler.

2000-06-22 10:48  mhall

	* weka/gui/GenericObjectEditor.props (1.20): Added VFI classifier.

2000-06-22 10:48  mhall

	* weka/classifiers/: Makefile (1.17), VFI.java (1.1): Added VFI
        classifier. Modified Makefile.

2000-06-15 14:54  mhall

	* weka/gui/explorer/ClustererPanel.java (1.23): Added check for
        numeric class in class based evaluation mode.

2000-06-15 14:54  mhall

	* weka/clusterers/ClusterEvaluation.java (1.12): Fixed bug that
	stopped class based evaluation from working when class was the
	first attribute. Added check in evaluateClusterer for numeric
        class.

2000-06-15 14:35  mhall

	* weka/gui/explorer/ClustererPanel.java (1.22): Added a class based
        cluster evaluation mode.

2000-06-15 14:34  mhall

	* weka/clusterers/ClusterEvaluation.java (1.11): Added routines to
        do class to cluster evaluation if a class attribute is set.

2000-06-14 11:54  trigg

	* weka/: filters/EmptyAttributeFilter.java (1.1), filters/Makefile
	(1.14), filters/NonSparseToSparseFilter.java (1.1),
	filters/NonsparseToSparseFilter.java (1.2),
	filters/SparseToNonSparseFilter.java (1.1),
	filters/SpreadSubsampleFilter.java (1.1),
	gui/GenericObjectEditor.props (1.19): Added a bunch of new filters
	(yippee!). Renamed one existing one. Updated the
        GenericObjectEditor.props for these changes.

2000-06-14 11:49  trigg

	* weka/core/Instances.java (1.19): Niggly spelling correction :-)

2000-06-12 09:44  mhall

	* weka/gui/explorer/ClustererPanel.java (1.21): Added the ablity to
	ignore columns during clustering. The ignored columns remain in the
        data for visualization purposes.

2000-06-06 17:12  mhall

	* weka/experiment/PairedTTester.java (1.10): Added a method to
        output comparison tables in Latex table format.

2000-06-06 09:40  mhall

	* weka/gui/visualize/: AttributePanel.java (1.4), ClassPanel.java
	(1.5), Plot2D.java (1.11), PlotData2D.java (1.5),
	VisualizePanel.java (1.10): Handles no attribute, no instances
        datasets without crashing :-)

2000-06-02 12:40  mhall

	* weka/gui/explorer/PreprocessPanel.java (1.17): Added a warning
	dialog that appears when the user has unselected all attributes and
        pressed apply filters.

2000-05-30 16:57  mhall

	* weka/gui/AttributeSummaryPanel.java (1.3): When a new dataset is
        loaded the summary panel is cleared.

2000-05-30 16:57  mhall

	* weka/gui/AttributeSelectionPanel.java (1.3): When a new dataset
        is loaded any selected row is now cleared.

2000-05-22 16:26  mhall

	* weka/gui/visualize/Plot2D.java (1.10): Fixed bug that caused
	array out of bounds exceptions to occur when changing axis when
        jitter was any value but 0.

2000-05-19 13:56  mhall

	* weka/gui/visualize/Visualize.props (1.4): Removed the spaces from
	Threshold and Margin curve relation names to allow the default
	properties for these types of relations to be read properly under
        java 1.1.

2000-05-19 13:55  mhall

	* weka/gui/visualize/VisualizePanel.java (1.9): Was disabling the
	colour combo when colouring index was being set from a definition
        in the property file---fixed.

2000-05-19 13:53  mhall

	* weka/classifiers/evaluation/: MarginCurve.java (1.3),
	ThresholdCurve.java (1.5): Removed spaces from the relation names.
	This allows the default visualization properties for these types of
	curves to work properly under java 1.1 (which doesn't handle escape
        characters).

2000-05-18 12:43  trigg

	* weka/gui/visualize/Visualize.props (1.3): Added default axes for
        threshold curves and margin curves.

2000-05-17 15:49  mhall

	* weka/gui/visualize/: VisualizePanel.java (1.8), Visualize.props
	(1.2): Changed so that preferred visualization dimensions can be
        specified with regards to specific dataset relation names.

2000-05-17 11:57  mhall

	* weka/gui/visualize/: AttributePanel.java (1.3), Plot2D.java
	(1.9), VisualizePanel.java (1.7): Now reads a Visualize.props
	property file for setting up colours and preferred viewing
        dimensions.

2000-05-17 11:56  mhall

	* weka/gui/visualize/: Visualize.props (1.1), VisualizeUtils.java
        (1.1): Initial import.

2000-05-15 11:40  mhall

	* weka/gui/GUIChooser.java (1.3): Flashed up the GUI chooser a wee
        bit.

2000-05-15 11:39  mhall

	* weka/gui/weka3.gif (1.1): Initial checkin

2000-05-11 21:32  eibe

	* weka/classifiers/j48/J48.java (1.17): "SafeInstanceData" replaced
        by "SaveInstanceData"

2000-05-11 10:59  mhall

	* weka/gui/visualize/: ClassPanel.java (1.4), Plot2D.java (1.8):
	Improved the field width + precision calculation for numeric axis
        labels.

2000-05-09 12:09  mhall

	* weka/gui/LogPanel.java (1.8): Now runs the garbage collector
        before reporting the free memory.

2000-05-08 11:47  mhall

	* weka/gui/experiment/DatasetListPanel.java (1.11): Added a check
	box that allows users to choose to store paths to datasets relative
        to the user (start) directory.

2000-05-08 11:01  mhall

	* weka/gui/LogPanel.java (1.7): Fixed a local variable name
        confusion.

2000-05-08 10:32  mhall

	* weka/gui/LogPanel.java (1.6): Added a popup menu to display free
        memory and run the garbage collector.

